package envoy.client.event;

import envoy.client.ui.Theme;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>ThemeChangeEvent.java</strong><br>
 * Created: <strong>15 Dec 2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 * @since Envoy v0.2-alpha
 */
public class ThemeChangeEvent implements Event<Theme> {

	private final Theme theme;

	/**
	 * Initializes a {@link ThemeChangeEvent} conveying information about the change
	 * of the {@link Theme} currently in use
	 *
	 * @param theme the new currently used {@link Theme} object
	 * @since Envoy v0.2-alpha
	 */
	public ThemeChangeEvent(Theme theme) { this.theme = theme; }

	@Override
	public Theme get() { return theme; }
}
